self: super: {
  profanity = (super.profanity.override {
    notifySupport = true;
    inherit (self) libnotify gpgme gdk_pixbuf;
    python = self.python3;
  }).overrideAttrs (old: rec {
    version = "0.7.1";
    pname = "profanity";
    name = "profanity-0.7.1";
    src = self.fetchFromGitHub {
      owner = "profanity-im";
      repo = "profanity";
      rev = version;
      sha256 = "1mcgr86wqyzqx7mqxfkk2jwx6cgnvrky3zi4v1ww0lh6j05wj9gf";
    };
    patches = builtins.tail old.patches;
    buildInputs = old.buildInputs ++ [ self.libsignal-protocol-c self.libgcrypt ];
    configureFlags = old.configureFlags ++ [ "--enable-plugins" "--enable-omemo" ];
  });
}
