### This snippet is not standalone and must be integrated in the global ldap_authorized_keys.sh
LDAP_MEMBER="cn=users,cn=ssh,ou=services,dc=immae,dc=eu"

ldap_search '(&(memberOf='$LDAP_MEMBER')('$KEY'=*)(uid='$user'))' $KEY | \
  while read line ;
  do
    if [ ! -z "$line" ]; then
      if [[ $line == dn* ]]; then
        user=$(sed -n 's/.*uid=\([^,]*\).*/\1/p' <<< "$line")
      elif [[ $line == $KEY* ]]; then
        key=$(clean_key_line ssh "$line")
        if [ ! -z "$key" ]; then
          if [[ $key != *$'\n'* ]] && [[ $key == ssh-* ]]; then
            echo $key
          fi
        fi
      fi
    fi
  done
